Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053945 - [abrt] meld: gtk_widget_get_toplevel(): python2.7 killed by SIGSEGV
Summary: [abrt] meld: gtk_widget_get_toplevel(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:12aabc7b526bf3d898351ddaa28...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 03:17 UTC by Mikhail
Modified: 2015-06-29 14:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:29:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (80.13 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: core_backtrace (49.75 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: dso_list (13.73 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: environ (1.47 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: maps (79.17 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: open_fds (1.28 KB, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details
File: var_log_messages (192 bytes, text/plain)
2014-01-16 03:18 UTC, Mikhail
no flags Details

Description Mikhail 2014-01-16 03:17:57 UTC
Version-Release number of selected component:
meld-1.8.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        python /usr/bin/meld
crash_function: gtk_widget_get_toplevel
executable:     /usr/bin/python2.7
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_get_toplevel at gtkwidget.c:8241
 #1 gtk_main_get_window_group at gtkmain.c:1756
 #2 gtk_main_do_event at gtkmain.c:1543
 #8 gtk_dialog_run at gtkdialog.c:1094
 #9 _wrap_gtk_dialog_run at ./gtk.override:2735
 #10 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4082
 #11 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #12 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
 #13 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4194
 #14 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119

Comment 1 Mikhail 2014-01-16 03:18:02 UTC
Created attachment 850825 [details]
File: backtrace

Comment 2 Mikhail 2014-01-16 03:18:06 UTC
Created attachment 850826 [details]
File: cgroup

Comment 3 Mikhail 2014-01-16 03:18:08 UTC
Created attachment 850827 [details]
File: core_backtrace

Comment 4 Mikhail 2014-01-16 03:18:11 UTC
Created attachment 850828 [details]
File: dso_list

Comment 5 Mikhail 2014-01-16 03:18:13 UTC
Created attachment 850829 [details]
File: environ

Comment 6 Mikhail 2014-01-16 03:18:15 UTC
Created attachment 850830 [details]
File: exploitable

Comment 7 Mikhail 2014-01-16 03:18:18 UTC
Created attachment 850831 [details]
File: limits

Comment 8 Mikhail 2014-01-16 03:18:21 UTC
Created attachment 850832 [details]
File: maps

Comment 9 Mikhail 2014-01-16 03:18:23 UTC
Created attachment 850833 [details]
File: open_fds

Comment 10 Mikhail 2014-01-16 03:18:25 UTC
Created attachment 850834 [details]
File: proc_pid_status

Comment 11 Mikhail 2014-01-16 03:18:27 UTC
Created attachment 850835 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:31:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:29:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.